version: '3'

services:
    db:
        image: postgres:15
        volumes:
            - /opt/docker-data/postgres:/var/lib/postgresql/data
        ports:
            - "5432:5432"
        restart: unless-stopped
        environment:
            - POSTGRES_PASSWORD=rtwogskkfmingtianhuibellokqiekd123dftombig
            - POSTGRES_USER=shuaibility
            - POSTGRES_DB=joplin
    app:
        image: joplin/server:latest
        depends_on:
            - db
        ports:
            - "22300:22300"
        restart: unless-stopped
        environment:
            - APP_PORT=22300
            - APP_BASE_URL=https://fourtwogoods.top:22300
            - DB_CLIENT=pg
            - POSTGRES_PASSWORD=rtwogskkfmingtianhuibellokqiekd123dftombig
            - POSTGRES_DATABASE=joplin
            - POSTGRES_USER=shuaibility
            - POSTGRES_PORT=5432
            - POSTGRES_HOST=db

#默认用户名：admin@localhost  默认密码：admin